Subject: bug#25356: livestreamer no longer supported

From: Leo Famulari <[email-masked]>
Date: Wed, 24 Jan 2018 17:27:37 -0500

On Thu, Jan 25, 2018 at 01:17:09AM +0300, Oleg Pykhalov wrote:
> Hello,
> 
> [email-masked] writes:
> 
> > I just wanted to point out that livestreamer seems to be entirely dead and the
> > project has been forked. As of this bugreport, the last change was Febuary 2nd,
> > 2016, and while this isn't exactly a long time, considering it no longer works
> > properly with Twitch.tv (one of, if not the, largest streaming site atm afaik),
> > gives the impression that it is a dead project.
> >
> > The fork is named streamlink and is located at https://streamlink.github.io/ and
> > seems to work well.
> >
> > I'm not sure who is maintaining the livestreamer package, so I'm simply filing
> > this as a bug here and hope everything is forwarded nicely.
> 
> I got here from
> <https://lists.gnu.org/archive/html/guix-devel/2017-04/msg00660.html>.
> 
> The streamlink package is available now from
> f48feaa2848d999e100f27301680a01dc3bd7733
> 
> Should we still hold livestreamer?

If streamlink is really a continuation of the livestreamer codebase,
then we can mark the livestreamer package as superseded by streamlink.

This will cause the livestreamer package in one's profile to be
automatically replaced by streamlink when doing `guix package
--upgrade`.

Ideally both packages' executables would have the same name.

What do you think?